<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
        <file filelist='etherhome' name='/usr/share/eole/mysql/etherhome/gen/etherhome-create-0.sql' rm='True' mkdir='True'/>
    </files>	
    <containers>
        <container name='web'>
	    <package>etherhome-apps</package>
            <service method="apache" servicelist="etherhome">etherhome</service>
            <!-- fichier de configuration de apache -->
           <file filelist='etherhome' name='/etc/apache2/sites-available/etherhome' source='etherhome-apache.conf'/>
            <!-- fichier de configuration de etherhome -->
            <file filelist='etherhome' name='/var/www/html/etherhome/config.inc.php' source='etherhome-config.php' rm='True'/>
          </container>
    </containers>
    <variables>
        <family name='applications web'>
            <variable name='activer_etherhome' type='oui/non' description="Activer Etherhome (gestion etherpad, ethercalc et scrumblr)">
                <value>oui</value>
            </variable>
        </family>
    </variables>
        <constraints>
        <condition name='hidden_if_in' source='activer_apache'>
            <param>non</param>
            <target type='filelist'>etherhome</target>
        </condition>
        
        <condition name='hidden_if_in' source='activer_etherpad'>
            <param>non</param>
            <target type='variable'>activer_etherhome</target>
        </condition>
        </constraints>
    <help>
        <variable name='activer_etherhome'>Etherhome vous permet de gérer les pads créés dans etherpad, les feuilles de calcul ethercalc et les tableaux blancs dans scrumblr</variable>
    </help>
</creole>
